<?php
$type = array
(
	1 => '入账',
	//2 => '分账',
	3 => '提现',
);
$link = Dever::decode(Dever::input('refer'));
$button = array
(
    '返回上一页' => array('location', $link),
);
return array
(
    # 表名
    'name' => 'yspay_merchant_log',
    # 显示给用户看的名称
    'lang' => '银联资金日志列表',
    'order' => -200,
    'menu' => false,
    # 数据结构
    'struct' => array
    (
    
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'order'    => 'desc',
            'update'    => 'hidden',
            //'list'        => true,
        ),

        'account_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '账户id',
            'default'   => '',
            'desc'      => '账户id',
            'match'     => 'option',
            'search'    => 'hidden',
            'update'    => 'hidden',
            'value'     => Dever::input('search_option_account_id'),
        ),

        'merchant_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '商户id',
            'default'   => '',
            'desc'      => '商户id',
            'match'     => 'option',
            'update'    => 'hidden',
            'value'     => Dever::input('search_option_merchant_id'),
            'list_name' => '商户名称',
            'list'      => 'Dever::load("pay/yspay_merchant-one#name", "{merchant_id}")',
        ),

        'type'      => array
        (
            'type'      => 'int-11',
            'name'      => '类型',
            'default'   => '',
            'desc'      => '类型',
            'match'     => 'is_numeric',
            'update'    => 'text',
            'option'    => $type,
            'search'	=> 'select',
            'list'		=> true,
        ),

        'cash'      => array
        (
            'type'      => 'int-11',
            'name'      => '交易金额',
            'default'   => '0',
            'desc'      => '交易金额',
            'match'     => 'option',
            'update'    => 'text',
            'list'      => 'Dever::number({cash}/1000, 2)',
        ),

        'yue'      => array
        (
            'type'      => 'int-11',
            'name'      => '交易后余额',
            'default'   => '0',
            'desc'      => '交易后余额',
            'match'     => 'option',
            'update'    => 'text',
            'list'      => 'Dever::number({yue}/1000, 2)',
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '交易时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            //'insert'    => true,
            'search'    => 'date',
            'list'      => 'date("Y-m-d H:i", {cdate})',
        ),
    ),

    'manage' => array
    (
        'edit' => false,
        'insert' => false,
        'delete' => false,
        'button' => $button,
    ),

    'request' => array
    (
        'getList' => array
        (
            'option' => array
            (
                'start' => array('yes-cdate', '>='),
                'end' => array('yes-cdate', '<='),
                'type' => 'yes',
                'merchant_id' => 'yes',
                'state' => 1,
            ),
            'type' => 'all',
            'page' => array(20, 'list'),
            'col' => '*',
        ),
    ),
);
